Foreman - Bug #10576

Compute Resource - VMware - Operation FAILED: unknown attribute: pubkey hash
05/21/2015 10:13 AM - Florent Delvaille

Status: Rejected

Priority: High

Assignee:

Category: Compute resources - VMware

Target version:

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

Hello,

After having upgraded from Foreman 1.7.4 to 1.8.1, we are unable to create a new virtual host (using VCenter).
It complains about the following: http:/pastebin.com/Dn08XiyY

When | go to compute resources tab, | can list all VMs ... so the connectivity seems good.
When | edit the compute resource and click submit button (without changing anything), | got the following:
http://pastebin.com/ddW70bQ0

We had to rollback because basically our full foreman PROD was unable to provision any host.

On the other hand, we have a Foreman DEV 1.8.1 (upgraded from 1.7.4 to 1.8.0 RC3 to 1.8.0 to 1.8.1), and there everything works
smoothly.

A fix would be very welcome :)

Thx

History

#1 - 05/21/2015 10:19 AM - Dominic Cleal

- Category set to Compute resources - VMware

#2 - 07/12/2015 08:23 PM - Byron Miller

I'm able to run Foreman 1.8.2 + VMware no problem. When you upgraded your instance, did you run the rake tasks?

foreman-rake db:migrate
foreman-rake db:seed

My environment has been upgraded from 1.4 through to 1.8.2 so far

#3 - 06/10/2016 03:39 PM - Anonymous

what's the status here?

#4 - 12/30/2016 09:53 AM - Anonymous

- Status changed from New to Rejected

no reaction, closing.
